import { OAuthConfig, OAuthUserConfig } from ".";
export interface NotionResponse {
    /**
     * https://developers.notion.com/reference/user#all-users
     * https://developers.notion.com/reference/user#people
     */
    owner: {
        id: string;
        name: string;
        avatar_url: string;
        email?: string;
        person: any;
    };
    workspace_name: string;
    workspace_id: string;
    workspace_icon: string;
}
export declare type NotionProfile = NotionResponse["owner"] & Omit<NotionResponse, "owner">;
export default function Notion<P extends Record<string, any> = NotionProfile>(options: OAuthUserConfig<P>): OAuthConfig<P>;
