"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Notion;

function Notion(options) {
  return {
    id: "notion",
    name: "Notion",
    type: "oauth",
    authorization: "https://api.notion.com/v1/oauth/authorize?owner=user",
    token: "https://api.notion.com/v1/oauth/token",
    userinfo: {
      request(params) {
        const tokens = params.tokens;
        return {
          id: tokens.owner.id,
          name: tokens.owner.name,
          email: tokens.owner.email,
          avatar_url: tokens.owner.avatar_url,
          workspace_id: tokens.workspace_id,
          workspace_name: tokens.workspace_name,
          workspace_icon: tokens.workspace_icon
        };
      }

    },

    profile(profile) {
      return {
        id: profile.id,
        name: profile.name,
        email: profile.email,
        image: profile.avatar_url
      };
    },

    checks: ["state"],
    options
  };
}